SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000753SiT!inbound emailpublic2009-06-30 23:012009-08-16 14:38
Reportermfeider67 
Assigned Toivan 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.45 
Target Version3.50Fixed in Version3.50 
Summary0000753: email assign to contact
DescriptionAny reason for the commenting out of "// $contactsql .= "OR SOUNDEX('$search_string') = SOUNDEX(CONCAT_WS(', ', c.surname, c.forenames)) ";" below? This can be found in incident_add.php

I actually need to uncomment this to get ours to work correctly. As ours comes across in this order. I haven't seen any adverse effect from doing this.

I am also not sure if this is a bug. But it didn't work prior to uncommenting.
Additional Information   // Filter by contact
    $contactsql .= "AND (c.surname LIKE '%$search_string%' OR c.forenames LIKE '%$search_string%' ";
    $contactsql .= "OR SOUNDEX('$search_string') = SOUNDEX(CONCAT_WS(' ', c.forenames, c.surname)) ";
// $contactsql .= "OR SOUNDEX('$search_string') = SOUNDEX(CONCAT_WS(', ', c.surname, c.forenames)) ";
    $contactsql .= "OR s.name LIKE '%$search_string%') ";
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0001255)
ivan (administrator)
2009-07-02 11:57

It was a speed issue thing. I think it's ms-outlook that bizarrely puts names the wrong way around. I'm happy to put that line back in if you think speed isn't a concern.
(0001256)
mfeider67 (reporter)
2009-07-02 15:12

I have both uncommented now and don't really notice it. It hasn't been bad speed wise, but do have only 50 contacts or so, and won't get above 140 max. I would bet that a higher contact number may be worse for this, but just on the mysql side right? As I understand it when trying to debug it is a matter of Forename, Surname or Surname, Forename. It may be such that you could add a variable to choose, but I don't know if there are cases when both would be required.

I think in our case the Surname, Forename is the only one I need. Unfortunitely also the one commented out.
User avatar (0001358)
ivan (administrator)
2009-07-20 22:07

Uncommented and added back in as of trunk svn r5542
User avatar (0001632)
ivan (administrator)
2009-08-16 14:38

Released in 3.50rc1

- Issue History
Date Modified Username Field Change
2009-06-30 23:01 mfeider67 New Issue
2009-07-02 11:57 ivan Note Added: 0001255
2009-07-02 11:57 ivan Status new => feedback
2009-07-02 15:12 mfeider67 Note Added: 0001256
2009-07-20 22:07 ivan Note Added: 0001358
2009-07-20 22:07 ivan Assigned To => ivan
2009-07-20 22:07 ivan Status feedback => resolved
2009-07-20 22:07 ivan Resolution open => fixed
2009-07-20 22:07 ivan Fixed in Version => Current SVN
2009-07-20 22:07 ivan Target Version => 3.50
2009-08-16 13:16 ivan Fixed in Version Current SVN => 3.50
2009-08-16 14:38 ivan Note Added: 0001632
2009-08-16 14:38 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker